Subject: Re: RFC1996 and IXFR dependency graph loops

From: Peter Koch <[email-masked]>
Date: Tue, 24 Sep 2002 11:06:18 +0200

> I read this to mean that loops in IXFR dependency graphs are legal, but
> loops in AXFR dependency graphs are not. Does anyone know the reason AXFR
> loops are not allowed, and then the reason why IXFR loops are ok?

There are no two graphs, since the dependencies are intended to be the same
whether you use AXFR or IXFR. The graph has just been named after AXFR where
*XFR - or something similar - might have been less specific and thus would
have avoided the ambiguity you've seen.

-Peter

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: [email-masked]
Date: Tue, 24 Sep 2002 19:39:41 +1000

> Hello.
> 
> Section 2.2 of RFC1996 states:
> 
>    2.2. The zone's servers must be organized into a dependency graph
>    such that there is a primary master, and all other servers must use
>    AXFR or IXFR either from the primary master or from some slave which
>    is also a master.  No loops are permitted in the AXFR dependency
>    graph.
> 

	They arn't.

> Thanks,
> Ketil
--
Mark Andrews, Internet Software Consortium
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]